# Security Audits

## ZK Fault Proofs Audit (2025)

{% file src="/files/ec7iXp7O32kfui8LgY4J" %}

## Protocol Audit (2024)

As part of Facet's commitment to transparency, security, and decentralization, we have partnered with [Zellic](https://zellic.io/), a leading blockchain security firm, to conduct a comprehensive audit of Facet Protocol. These audits ensure that the Facet codebase is rigorously tested for vulnerabilities and adheres to the highest security standards prior to mainnet release.

Below, you will find the final audit reports produced by Zellic, detailing their findings and assessments. Each report reflects a different aspect of Facet Protocol's security:

## Reports

### [Facet Node](https://github.com/Zellic/publications/blob/master/Facet%20Node%20-%20Zellic%20Audit%20Report.pdf)

> A specialized adaptation of the standard Ethereum node, designed to facilitate the execution of Facet’s off-chain compute. It is responsible for detecting Facet transactions, extracting and delivering the payloads to Facet geth for execution, and securely storing the resulting state to be queried by Facet users and dApps. Facet node also issues and consumes Facet Compute Token (FCT), the protocol’s native gas token.

### [Facet Geth](https://github.com/Zellic/publications/blob/master/Facet%20Geth%20-%20Zellic%20Audit%20Report.pdf)

> A forked version of OP Stack’s go-ethereum (geth), specifically adapted to process Facet transactions. It is responsible for executing Facet state transitions in a deterministic manner, ensuring that Facet nodes can derive and maintain consistent state from Ethereum’s transaction history.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.facet.org/reference/security-audits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
